Package twisted :: Package internet :: Module ssl :: Class DefaultOpenSSLContextFactory

[show private | hide private]
[frames | no frames]

## Class DefaultOpenSSLContextFactory

    ContextFactory --+
                     |
                    DefaultOpenSSLContextFactory

Method Summary
| `__init__(self, privateKeyFileName, certificateFileName, sslmethod)`
| `__getstate__(self)`
| `__setstate__(self, state)`
| `cacheContext(self)`
| ``getContext`(self)` Create an SSL context.

Method Details

### getContext(self)

Create an SSL context.

Generated by Epydoc 1.1 on Thu May 8 13:18:28 2003 | http://epydoc.sf.net